declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly header: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly divider: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly bodyStyle: {
        readonly type: import("vue").PropType<import("vue").StyleValue>;
        readonly default: () => import("vue").StyleValue;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("./interface").Size>;
        readonly default: "middle";
    };
    readonly shadow: {
        readonly type: import("vue").PropType<import("./interface").Shadow>;
        readonly default: "always";
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
}>, {
    prefixCls: string;
    classes: import("vue").ComputedRef<{
        [x: string]: boolean | import("./interface").Size | import("./interface").Shadow;
        'is-bordered': boolean;
    }>;
    headerClasses: import("vue").ComputedRef<{
        [x: string]: boolean;
        'no-divider': boolean;
    }>;
    footerClasses: import("vue").ComputedRef<{
        [x: string]: boolean;
        'no-divider': boolean;
    }>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly header: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly divider: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly bodyStyle: {
        readonly type: import("vue").PropType<import("vue").StyleValue>;
        readonly default: () => import("vue").StyleValue;
    };
    readonly size: {
        readonly type: import("vue").PropType<import("./interface").Size>;
        readonly default: "middle";
    };
    readonly shadow: {
        readonly type: import("vue").PropType<import("./interface").Shadow>;
        readonly default: "always";
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
}>> & Readonly<{}>, {
    readonly size: import("./interface").Size;
    readonly header: string;
    readonly divider: boolean;
    readonly bodyStyle: import("vue").StyleValue;
    readonly shadow: import("./interface").Shadow;
    readonly bordered: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
